/* -*- C++ -*-
 *
 * This file is a part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2003-2006
 * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Research Group on Combinatorial Optimization, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#include "file_chooser_extra_widget.h"
#include "mapstorage.h"

FileChooserExtraWidget::FileChooserExtraWidget(MapStorage* ms) :
  Gtk::Expander("_Options", true),
  lblGUIData("Save GUI specific data to:"),
  rbGUISection("_GUI section", true),
  rbConfFile("s_eparate .conf file", true)
{
  std::cout << "FileChooserExtraWidget()" << std::endl;

  Gtk::RadioButtonGroup group = rbGUISection.get_group();
  rbConfFile.set_group(group);

  /*
  switch (pMapStorage->getGUIDataSaveLocation())
  {
    case GUI_SECTION:
      break;
    case CONF_FILE:
      break;
  }
  */

  add(box);
  box.pack_start(lblGUIData, Gtk::PACK_SHRINK);
  box.pack_start(rbGUISection, Gtk::PACK_SHRINK);
  box.pack_start(rbConfFile, Gtk::PACK_SHRINK);

  rbConfFile.signal_group_changed().connect(
      sigc::mem_fun(*this, &FileChooserExtraWidget::onRbToggled));
  rbGUISection.signal_group_changed().connect(
      sigc::mem_fun(*this, &FileChooserExtraWidget::onRbToggled));

  show_all_children();
}

void FileChooserExtraWidget::onRbToggled()
{
  std::cout << "onRbToggled()" << std::endl;
}

FileChooserExtraWidget::~FileChooserExtraWidget()
{
  std::cout << "~FileChooserExtraWidget()" << std::endl;
}
